ru.bitel.bgbilling.modules.tv.api.server

## Class TvRegistrationUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.api.server.TvRegistrationUtils

-     public class TvRegistrationUtils
      extends java.lang.Object

  Обертка над методами сервисов для использования в скриптах создания аккаунтов или для использования как пример создания аккаунтов.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvRegistrationUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `productActivate(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, java.util.Date time, int productSpecId, int activationModeId, java.lang.String description, java.lang.String comment)` Активация продукта.
    `static TvAccount` | `tvAccountCreate(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int tvAccountSpecId, int parentId, java.util.Date dateFrom, java.lang.String login, java.lang.String password, java.lang.String identifier, java.lang.String deviceAccountId, java.lang.String mac, java.lang.String comment)` Создание аккаунта.
    `static TvAccount` | `tvAccountFind(TvAccountService tvAccountService, java.lang.String username, java.lang.String deviceAccountId)`
    `static TvAccount` | `tvAccountRegister(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int tvAccountSpecId, java.lang.String login, java.lang.String identifier, java.lang.String mac, java.lang.String comment)` Создание или обновление аккаунта.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TvRegistrationUtils

          public TvRegistrationUtils()

  - ### Method Detail

    - #### tvAccountCreate

          public static TvAccount tvAccountCreate(ru.bitel.bgbilling.kernel.container.managed.ServerContext context,
                                                  int moduleId,
                                                  int contractId,
                                                  int tvAccountSpecId,
                                                  int parentId,
                                                  java.util.Date dateFrom,
                                                  java.lang.String login,
                                                  java.lang.String password,
                                                  java.lang.String identifier,
                                                  java.lang.String deviceAccountId,
                                                  java.lang.String mac,
                                                  java.lang.String comment)
                                           throws ru.bitel.bgbilling.common.BGException

      Создание аккаунта.
      Parameters:
        `context` -
        `moduleId` - ID модуля.
        `contractId` - ID договора.
        `tvAccountSpecId` - ID типа аккаунта.
        `parentId` - ID родительского аккаунта, если это дочерний. Иначе - 0.
        `dateFrom` -
        `login` - логин или null, если требуется сгенерировать логин.
        `password` - пароль или null, если требуется сгенерировать пароль.
        `identifier` - идентификатор, может быть null.
        `deviceAccountId` - идентификатор в MW, должен быть null, если требуется синхронизация с MW.
        `mac` - MAC-адрес или null.
        `comment` - комментарий, может быть null.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tvAccountRegister

          public static TvAccount tvAccountRegister(ru.bitel.bgbilling.kernel.container.managed.ServerContext context,
                                                    int moduleId,
                                                    int contractId,
                                                    int tvAccountSpecId,
                                                    java.lang.String login,
                                                    java.lang.String identifier,
                                                    java.lang.String mac,
                                                    java.lang.String comment)
                                             throws ru.bitel.bgbilling.common.BGException

      Создание или обновление аккаунта. Поиск происходит по ID договора и ID типа аккаунта. Т.е. в данном методе подразумевается, что на договоре может быть активен по периоду только один аккаунт такого типа, для других случаев этот метод правильно работать не будет.
      Parameters:
        `context` -
        `moduleId` - ID модуля.
        `contractId` - ID договора.
        `tvAccountSpecId` - ID типа аккаунта.
        `login` - логин, может быть null, если требуется сгенерировать при создании или не нужно обновлять.
        `identifier` - идентификатор, может быть null.
        `mac` - MAC-адрес, может быть null.
        `comment` - комментарий, может быть null.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tvAccountFind

          public static TvAccount tvAccountFind(TvAccountService tvAccountService,
                                                java.lang.String username,
                                                java.lang.String deviceAccountId)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### productActivate

          public static void productActivate(ru.bitel.bgbilling.kernel.container.managed.ServerContext context,
                                             int moduleId,
                                             int contractId,
                                             java.util.Date time,
                                             int productSpecId,
                                             int activationModeId,
                                             java.lang.String description,
                                             java.lang.String comment)
                                      throws ru.bitel.bgbilling.common.BGException

      Активация продукта.
      Parameters:
        `context` -
        `moduleId` - ID модуля.
        `contractId` - ID договора.
        `productSpecId` - ID продукта.
        `activationModeId` - ID режима активации.
        `time` - время.
        `description` - описание.
        `comment` - комментарий.
      Throws:
        `ru.bitel.bgbilling.common.BGException`